M2PA (RFC 4165) und SUA (RFC 3868) sind SIGTRAN-Adaptationsschichten für unterschiedliche Umstiegspunkte. M2PA ersetzt MTP2 und bietet eine IP-Verbindung, auf der vollständiges MTP3 läuft — genutzt, um IP-basierte STP-Verbindungen aufzubauen. SUA ersetzt SCCP vollständig und trägt SCCP-User wie TCAP/MAP direkt über SCTP ohne MTP3 oder M3UA.
M2PA: MTP2 über IP
M2PA (MTP2 Peer-to-Peer Adaptation, RFC 4165) bietet eine MTP2-gleichwertige Verbindung über SCTP. Da es nur MTP2 ersetzt, betreiben die Endpunkte weiterhin ein vollständiges MTP3 darüber — sie verhalten sich wie gewöhnliche SS7-Signalisierungspunkte mit Point Codes und führen MTP3-Routing und Netzmanagement durch. M2PA wird daher genutzt, um IP-basierte Signalisierungsverbindungen zwischen STPs (oder zwischen einem STP und einem Signalisierungspunkt) aufzubauen, effektiv ein reiner IP-Ersatz für eine TDM-A/B/C/D-Verbindung statt einer Gateway-zu-Application-Server-Topologie.
M2PA vs. M2UA
M2PA und M2UA sitzen beide auf der MTP2-Ebene, erledigen aber sehr unterschiedliche Aufgaben. M2PA ist Peer-to-Peer: Beide Enden betreiben MTP3, und die Verbindung ist eine echte SS7-Signalisierungsverbindung über IP. M2UA ist Backhaul: Es trägt MTP2 von einem Signalling Gateway hinauf zu einem separat gelegenen Media Gateway Controller, der MTP3 und darüber hält, über eine Nodal Interworking Function. Die beiden zu verwechseln ist eine häufige Quelle von Designfehlern.
| Aspekt | M2PA (RFC 4165) | M2UA (RFC 3331) |
|---|---|---|
| Modell | Peer-to-Peer | Backhaul (SG ↔ MGC) |
| MTP3-Position | An beiden Endpunkten | Nur auf dem entfernten Controller |
| Point Codes | Beide Enden haben jeweils einen | Gateway leitet an den Controller weiter |
| Typische Anwendung | IP-basierte STP-Verbindungen | Aufteilung zwischen verteiltem Gateway und Controller |
SUA: SCCP-User-Adaptation
SUA (SCCP-User Adaptation, RFC 3868) trägt SCCP-User — vorrangig TCAP und damit MAP — direkt über SCTP und ersetzt SCCP selbst. Ein SUA-Knoten adressiert seine Gegenstellen mit SCCP-artiger Adressierung (Global Titles, SSNs), benötigt darunter aber weder MTP3 noch M3UA. Das ist effizient, wenn die Endpunkte IP-native SCCP-User sind, etwa ein IP-basiertes HLR/HSS oder SMSC, das mit einem Signalling Gateway spricht, das in ihrem Auftrag die Global Title Translation durchführt.
SUA und Verbindungsmodi
SUA unterstützt beide SCCP-Diensttypen. Der verbindungslose Dienst (SCCP-Klassen 0/1) trägt den Großteil des MAP/TCAP-Verkehrs — SMS-Routing, Roaming — als eigenständige Nachrichten. Der verbindungsorientierte Dienst (SCCP-Klassen 2/3) steht für Anwendungen bereit, die eine Signalisierungsverbindung benötigen. SUA kann an einem Gateway mit SCCP zusammenarbeiten: Ein IP-SUA-Knoten auf der einen und eine TDM-SCCP-Gegenstelle auf der anderen Seite tauschen dieselben TCAP/MAP-Anwendungsnachrichten transparent aus.
| Ersetzte Schicht | Adaption | Darüberliegender Stack |
|---|---|---|
| MTP2 | M2PA | Full MTP3 + SCCP + TCAP |
| MTP3 | M3UA | SCCP + TCAP |
| SCCP | SUA | Direkt via TCAP / MAP |
Häufig gestellte Fragen
Was ist der Unterschied zwischen M2PA und M3UA?
M2PA ersetzt MTP2, sodass beide Endpunkte weiterhin vollständiges MTP3 betreiben und als gewöhnliche Signalisierungspunkte agieren — es baut IP-basierte STP-Verbindungen auf. M3UA ersetzt MTP3 und verbindet Application Server mit einem Signalling Gateway. M2PA schneidet den Stack eine Schicht tiefer als M3UA.
Wann würde ich SUA statt M3UA verwenden?
Verwenden Sie SUA, wenn Ihre IP-Endpunkte SCCP-User (TCAP/MAP) sind, die kein MTP3 benötigen — zum Beispiel ein IP-natives HLR oder SMSC. SUA trägt den SCCP-User direkt über SCTP und überspringt MTP3/M3UA. Verwenden Sie M3UA, wenn Sie den MTP3-Dienst für SCCP und ISUP bewahren müssen.
Was ist der Unterschied zwischen M2PA und M2UA?
M2PA ist Peer-to-Peer: Beide Enden betreiben MTP3 über eine IP-Signalisierungsverbindung. M2UA ist Backhaul: Ein Signalling Gateway trägt MTP2 hinauf zu einem entfernten Media Gateway Controller, der MTP3 hält. M2PA baut SS7-Verbindungen auf; M2UA trennt ein Gateway von seinem Controller.
Nutzt SUA Global Titles?
Ja. SUA bewahrt die SCCP-artige Adressierung — Global Titles und Subsystem-Nummern —, sodass Anwendungen Gegenstellen genauso adressieren, wie sie es über SCCP täten. Ein Gateway kann die Global Title Translation durchführen und SUA transparent mit klassischem SCCP zusammenarbeiten lassen.
Ist M2PA ein Ersatz für TDM-SS7-Verbindungen?
Effektiv ja. Da M2PA eine MTP2-gleichwertige Verbindung mit vollständigem MTP3 darüber bietet, kann eine M2PA-Verbindung über IP eine TDM-A/B/C/D-Verbindung zwischen Signalisierungspunkten ersetzen, sodass Betreiber reine IP-STP-Kopplungen aufbauen und dabei das Standard-MTP3-Routing behalten.
Quellenspezifikationen
Diese Seite basiert auf den veröffentlichten Standards. (Wird in einem neuen Tab geöffnet.)